{{& path}}/{id}:
  patch:
    operationId: patch{{schema}}
    tags:
    - {{tag}}
    summary: Update one or more properties of the stored {{schema}} object
    parameters:
      - name: id
        required: true
        in: path
        description: Id of the {{schema}} you want to patch
        schema:
          type: integer
    responses:
      '200':
        description: Updated {{schema}}
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/{{schema}}'
      '400':
        description: id is integer
        x-draig-validation-fixture:
          inpath:
            id: '"a"'
          inbody: '{}'
      '404':
        description: No data found
        x-draig-test-fixture:
          id: 9999
          body: '{}'
    requestBody:
      required: true
      description: Selected property/value pairs of the {{schema}} to update
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/{{bodySchema}}'
